Bug 134467 - tired old code in need of update ?
tired old code in need of update ?
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xfig (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-03 07:47 EDT by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 13:03:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-03 07:47:52 EDT
Description of problem:

I just tried to compile package xfig-3.2.4-5 from
Redhat Fedora Core 3 Test 2.

The compiler said

d_text.c:1896: warning: `return' with no value, in function returning
non-void
d_text.c:1958: warning: `return' with no value, in function returning
non-void
e_edit.c:819: warning: `return' with no value, in function returning
non-void
e_edit.c:824: warning: `return' with no value, in function returning
non-void
e_edit.c:3545: warning: `return' with no value, in function returning
non-void
e_edit.c:5187: warning: `return' with no value, in function returning
non-void
e_edit.c:5200: warning: `return' with no value, in function returning
non-void
e_rotate.c:321: warning: `return' with no value, in function returning
non-void 
e_rotate.c:549: warning: `return' with no value, in function returning
non-void
e_rotate.c:574: warning: `return' with no value, in function returning
non-void
e_update.c:588: warning: `return' with no value, in function returning
non-void

I think some expressions need to be added to some return statements.

It might also help if this K&R code were upgraded to the ISO C
standard of year 1990 or so.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2006-06-07 13:03:02 EDT
i think it should be fixed from upstream. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.